using System;

namespace SudarBrojeva
{
    class Program
    {

        static int SudariBrojeve(int x, int y)
        {
            if(x == y)
            {
                return x + 10 * y;
            }
            if(x > y)
            {
                return x;
            }
            return y;
        }

        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());

            string resenje = "";

            while(x > 0 && y > 0)
            {
                resenje = SudariBrojeve(x % 10, y % 10) + resenje;
                x /= 10;
                y /= 10;
            }
            if(x != 0 || y != 0)
            {
                resenje = x > y ? x + resenje : y + resenje;
            }
            Console.WriteLine(resenje);
        }
    }
}